import React, { Component, RefCallback } from 'react';
import { ResolveThunks } from 'react-redux';
import type { HierarchyPointNode, Node, Options } from 'd3-state-visualizer';
import { updateMonitorState } from '../../../actions';
import { ThemeFromProvider } from '@redux-devtools/ui';
type DispatchProps = ResolveThunks<typeof actionCreators>;
interface OwnProps {
    data: unknown;
    theme: ThemeFromProvider;
}
type Props = DispatchProps & OwnProps;
declare class ChartTab extends Component<Props> {
    node?: HTMLDivElement | null;
    renderChart?: (nextState?: {} | null | undefined) => void;
    shouldComponentUpdate(): boolean;
    componentDidMount(): void;
    UNSAFE_componentWillReceiveProps(nextProps: Props): void;
    getRef: RefCallback<HTMLDivElement>;
    createChart(props: Props): void;
    getChartTheme(theme: ThemeFromProvider): Partial<Options>;
    onClickText: (data: HierarchyPointNode<Node>) => void;
    render(): React.JSX.Element;
}
declare const actionCreators: {
    updateMonitorState: typeof updateMonitorState;
};
declare const _default: React.ForwardRefExoticComponent<{
    data: unknown;
    key?: React.Key | null | undefined;
    ref?: ((instance: ChartTab | null) => void) | React.RefObject<ChartTab> | null | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
} & {
    theme?: any;
}>;
export default _default;
